Loading...
Searching...
No Matches
ZyanString_ Struct Reference

`#include <String.h>`

Collaboration diagram for ZyanString_:
[legend]

## Public Attributes

ZyanStringFlags | flags
ZyanVector | vector

## Detailed Description

Defines the ZyanString struct.

The ZyanString type is implemented as a size-prefixed string - which allows for a lot of performance optimizations. Nevertheless null-termination is guaranteed at all times to provide maximum compatibility with default C-style strings (use ZyanStringGetData to access the C-style string).

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

## Member Data Documentation

## flags

ZyanStringFlags ZyanString_::flags

String flags.

## vector

ZyanVector ZyanString_::vector

The vector that contains the actual string.

The documentation for this struct was generated from the following file:

- include/Zycore/String.h